
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#ifndef _MOOF_LAYER_HH_
#define _MOOF_LAYER_HH_

#include <boost/shared_ptr.hpp>

#include <Moof/Event.hh>
#include <Moof/Math.hh>


namespace Mf {


class Layer
{
public:

	virtual ~Layer() {}

	virtual void addedToCore() {}
	virtual void removedFromCore() {}

	virtual void update(Scalar t, Scalar dt) {}
	virtual void draw(Scalar alpha) const {}
	virtual bool handleEvent(const Event& event)
	{
		return false;
	}
};

typedef boost::shared_ptr<Layer> LayerP;


} // namespace Mf

#endif // _MOOF_LAYER_HH_

