
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#ifndef _TITLELAYER_HH_
#define _TITLELAYER_HH_

#include <boost/shared_ptr.hpp>

#include <Moof/Interpolator.hh>
#include <Moof/Layer.hh>
#include <Moof/Math.hh>


class TitleLayer;
typedef boost::shared_ptr<TitleLayer> TitleLayerP;

class TitleLayer : public Mf::Layer
{
public:

	static TitleLayerP alloc()
	{
		return TitleLayerP(new TitleLayer);
	}

	void addedToCore();

	void update(Mf::Scalar t, Mf::Scalar dt);
	void draw(Mf::Scalar alpha) const;
	bool handleEvent(const Mf::Event& event);

private:

	Mf::Lerp 		mFadeIn;
	Mf::LayerP		mGameLayer;
};


#endif // _TITLELAYER_HH_

